MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032602Open CASCADE[OCCT] OCCT:Configurationpublic2021-10-02 00:142021-10-09 12:31
Reporterkgv 
Assigned Tosmoskvin 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032602: Configuration, genconf - reduce window height with empty error log
Descriptiongenconf window doesn't fit into 14" screen with 150% scale, so it would be handy to reduce height.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0027055closedabv Configuration, genconf.tcl - reduce window height to fit into smaller screens 

-  Notes
(0104471)
git (administrator)
2021-10-02 00:17

Branch CR32602 has been created by kgv.

SHA-1: 6316b59ac7103254cb0d086cbffffc1e90d42cd2


Detailed log of new commits:

Author: kgv
Date: Sat Oct 2 00:17:17 2021 +0300

    0032602: Configuration, genconf - reduce window height with empty error log
    
    Font height is reduced to 1 for empty error labels is empty to win some space.
(0104472)
kgv (developer)
2021-10-02 00:36

Please raise the patch
- OCCT: branch CR32602.
(0104560)
smoskvin (administrator)
2021-10-09 12:06

Combination -
OCCT branch : IR-2021-10-08
master SHA - 56b495d93bc70a96c9f07a6025b83e2e5e70eef7
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-08 SHA - fe10ebabd09fbeb2e94180b50cd581aa0612d135
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17935.650000000136 / 17754.63000000043 [+1.02%]
Products
Total CPU difference: 11611.53000000011 / 11405.930000000111 [+1.80%]
Windows-64-VC14:
OCCT
Total CPU difference: 19689.8125 / 19680.3125 [+0.05%]
Products
Total CPU difference: 12938.8125 / 12772.859375 [+1.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master eba0379c
Timestamp: 2021-10-01 21:17:17
Author: kgv
Committer: smoskvin
Details ] Diff ]
0032602: Configuration, genconf - reduce window height with empty error log

Font height is reduced to 1 for empty error labels is empty to win some space.
mod - adm/genconf.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-10-02 00:14 kgv New Issue
2021-10-02 00:14 kgv Assigned To => kgv
2021-10-02 00:17 git Note Added: 0104471
2021-10-02 00:36 kgv Note Added: 0104472
2021-10-02 00:36 kgv Assigned To kgv => bugmaster
2021-10-02 00:36 kgv Status new => resolved
2021-10-02 00:36 kgv Status resolved => reviewed
2021-10-02 00:37 kgv Relationship added related to 0027055
2021-10-09 12:06 smoskvin Note Added: 0104560
2021-10-09 12:06 smoskvin Status reviewed => tested
2021-10-09 12:09 smoskvin Test case number => Not required
2021-10-09 12:31 smoskvin Changeset attached => occt master eba0379c
2021-10-09 12:31 smoskvin Assigned To bugmaster => smoskvin
2021-10-09 12:31 smoskvin Status tested => verified
2021-10-09 12:31 smoskvin Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker